#include <stdio.h>
#include "aerr.h"

unchar *LinkErrorSearch(ERLINK *erlist,int eno)
// リンク対応エラーメッセージ返し
{
ERLINK *elk;
unchar *mes;
	elk=erlist; // リンクの最初
	do {
		// そのテーブル内でサーチ
		mes=ErrorSearch(elk->tbl,eno);
		if (mes!=NULL) break; // 発見
		// 無ければ次のテーブルへ
		elk=elk->next;
	} while (elk!=(ERLINK *)NULL);
	return(mes);
}
